/*!  (c) 2005, 2014 jQuery Foundation, Inc. | jquery.org/license 
 
 
 The MIT License (MIT)
 
 Copyright (c) <year> <copyright holders>
 
 Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 
 The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
 
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 
 */

$.mobile.document.on( "pagecreate", "#demo-page", function(){
var head = $( ".ui-page-active [data-role='header']" );
$.mobile.document.on( "click", "#sorter li", function() {
var top,
letter = $( this ).text(),
divider = $( "#sortedList" ).find( "li.ui-li-divider:contains(" + letter + ")" );
if ( divider.length > 0 ) {
top = divider.offset().top;
$.mobile.silentScroll( top );
} else {
return false;
}
});
$( "#sorter li" ).hover(function() {
$( this ).addClass( "ui-btn" ).removeClass( "ui-li-static" );
}, function() {
$( this ).removeClass( "ui-btn" ).addClass( "ui-li-static" );
});
});
$( function(){
$.mobile.window.on( "scroll", function( e ) {
var headTop = $(window).scrollTop(),
foot = $( ".ui-page-active [data-role='footer']" ),
head = $( ".ui-page-active [data-role='header']" ),
headerheight = head.outerHeight();
if( headTop < headerheight && headTop > 0 ) {
    $( "#sorter" ).css({
    "top": headerheight + 15 - headTop,
    "height": window.innerHeight - head[ 0 ].offsetHeight + window.pageYOffset - 10
    });
    $("#sorter li").height( "3.7%" );
    } else if ( headTop >= headerheight && headTop > 0 && parseInt( headTop +
    $.mobile.window.height( )) < parseInt( foot.offset().top ) ) {
    $( "#sorter" ).css({
    "top": "15px",
    "height": window.innerHeight - 8
    });
    $("#sorter li").height( "3.7%" );
    } else if ( parseInt( headTop + window.innerHeight ) >= parseInt( foot.offset().top ) &&
    parseInt( headTop + window.innerHeight ) <= parseInt( foot.offset().top ) +
    foot.height() ) {
    $( "#sorter" ).css({
    "top": "15px",
    "height": window.innerHeight - ( parseInt( headTop + window.innerHeight ) -
    parseInt( foot.offset().top ) + 8 )
    });
    } else if( parseInt( headTop + window.innerHeight ) >= parseInt( foot.offset().top ) ) {
    $( "#sorter" ).css({
    "top": "15px"
    });
    } else {
    $( "#sorter" ).css( "top", headerheight + 15 );
    }
    });
    });
    $.mobile.window.on( "throttledresize", function() {
    $( "#sorter" ).height( window.innerHeight - headerheight - 20 ).css( "top", headerheight + 18 );
    });
    $.mobile.document.on( "pageshow", "#demo-page", function() {
    var headerheight = $( ".ui-page-active [data-role='header']" ).outerHeight();
    $( "#sorter" ).height( window.innerHeight - headerheight - 20 ).css( "top", headerheight + 18 );
    });