/*
 * Google Maps documentation: http://code.google.com/apis/maps/documentation/javascript/basics.html
 * Geolocation documentation: http://dev.w3.org/geo/api/spec-source.html
 */



$( document ).on( "pageinit", "#map-page", function () {
                 var defaultLatLng = new google.maps.LatLng(40.414445, -3.683016);
                 if ( navigator.geolocation ) {
                 function success(pos) {
                 drawMap(new google.maps.LatLng(pos.coords.latitude, pos.coords.longitude));

                 }
                 function fail(error) {
                 drawMapdef(defaultLatLng);
                 }
                 navigator.geolocation.getCurrentPosition(success, fail, {maximumAge: 500000, enableHighAccuracy:true,  timeout:10000});
                 } else {
                 drawMap(defaultLatLng);                  }
                 
                 if (success){function drawMap(latlng) {

                 var centro = new google.maps.LatLng(40.414445, -3.683016);

                 $('#map-canvas').gmap({'center': centro, 'bounds': false, 'zoom' : 15,'callback':function(){
                                       var self = this;
                                       var marker = self.addMarker({ 'position' : this.get('map').getCenter(),'icon': 'img/verde.png'});
                                       marker.click(function(){
                                                    self.openInfoWindow({ 'content' : 'Bienvenido al Retiro'}, this);
                                                    }).triggerEvent('click');
                                       }
                                       });
                 
                 var HELICONtot =  {url: 'img/HELICONtot.png',
                 scaledSize: new google.maps.Size(36, 50),
                 };
                 
                 
                 $('#map-canvas').gmap('addMarker', {'position': '40.415611, -3.687996',  'icon': HELICONtot, 'bounds': false}).click(function() {$('#map-canvas').gmap('openInfoWindow', {'content': '<a href="http://www.omarfiz.com.es/GPZ/taxodium_mucronatum4.html"><IMG height="30px" width="30px" BORDER="0" ALIGN="left" SRC="img/altavoz.png">Ahuehuete</a>'},  this);});
                 
                 $('#map-canvas').gmap('addMarker', {'position': '40.413933,-3.681214',  'icon': HELICONtot, 'bounds': false}).click(function() {$('#map-canvas').gmap('openInfoWindow', {'content':'<a href="http://www.omarfiz.com.es/GPZ/Taxodium_distichum.html"><IMG height="30px" width="30px" BORDER="0" ALIGN="left" SRC="img/altavoz.png">Cipr&#233;s de los Pantanos</a>'},  this);});
                 
                 $('#map-canvas').gmap('addMarker', {'position': '40.417474,-3.68086',  'icon': HELICONtot, 'bounds': false}).click(function() {$('#map-canvas').gmap('openInfoWindow', {'content': '<a href="http://www.omarfiz.com.es/GPZ/Cedrus_libani_f.html"><IMG height="30px" width="30px" BORDER="0" ALIGN="left" SRC="img/altavoz.png">Cedro del L&#237;bano</a>'}, this);});
                 
                 $('#map-canvas').gmap('addMarker', {'position': '40.413904,-3.678478',  'icon': HELICONtot, 'bounds': false}).click(function() {$('#map-canvas').gmap('openInfoWindow', {'content': '<a href="http://www.omarfiz.com.es/GPZ/Acer_sacharinum_d.html"><IMG height="30px" width="30px" BORDER="0" ALIGN="left" SRC="img/altavoz.png">Arce plateado</a>'}, this);});
                 
                 $('#map-canvas').gmap('addMarker', {'position': '40.412054,-3.681841',  'icon': HELICONtot, 'bounds': false}).click(function() {$('#map-canvas').gmap('openInfoWindow', {'content': '<a href="http://www.omarfiz.com.es/GPZ/Trachycarpus_fortuney_b.html"><IMG height="30px" width="30px" BORDER="0" ALIGN="left" SRC="img/altavoz.png">Palmera de la fortuna</a>'}, this);});
                 
                 $('#map-canvas').gmap('addMarker', {'position': '40.410969, -3.680859',  'icon': HELICONtot, 'bounds': false}).click(function() {$('#map-canvas').gmap('openInfoWindow', {'content': '<a href="http://www.omarfiz.com.es/GPZ/Pinus_halepensis.html"><IMG height="30px" width="30px" BORDER="0" ALIGN="left" SRC="img/altavoz.png">Pino carrasco</a>'}, this);});
                 
                 $('#map-canvas').gmap('addMarker', {'position': '40.418916,-3.68219',  'icon': HELICONtot, 'bounds': false}).click(function() {$('#map-canvas').gmap('openInfoWindow', {'content': '<a href="http://www.omarfiz.com.es/GPZ/Eucalyptus_globulus_c.html"><IMG height="30px" width="30px" BORDER="0" ALIGN="left" SRC="img/altavoz.png">Eucalipto blanco</a>'}, this);});
                             
            
                 $('#map-canvas').gmap('addMarker', {id:'m_1', 'position': latlng,  'icon': 'img/blue.png', 'bounds': false});
                 

                 }
                 }
                 
                 else{function drawMapdef(latlng) {
                 
                 
                 $('#map-canvas').gmap({'center': latlng, 'bounds': false, 'zoom' : 15,'callback':function(){
                                       var self = this;
                                       var marker = self.addMarker({ 'position' : this.get('map').getCenter(),'icon': 'img/verde.png'});
                                       marker.click(function(){
                                                    self.openInfoWindow({ 'content' : 'GPS desconectado'}, this);
                                                    }).triggerEvent('click');
                                       }
                                       });
                 
                 
                 var HELICONtot =  {url: 'img/HELICONtot.png',
                 scaledSize: new google.maps.Size(36, 50),
                 };
                 
                 
                 $('#map-canvas').gmap('addMarker', {'position': '40.415611, -3.687996',  'icon': HELICONtot, 'bounds': false}).click(function() {$('#map-canvas').gmap('openInfoWindow', {'content': '<a href="http://www.omarfiz.com.es/GPZ/taxodium_mucronatum4.html"><IMG height="30px" width="30px" BORDER="0" ALIGN="left" SRC="img/altavoz.png">Ahuehuete</a>'},  this);
                                                                                                                                });
                 
                 $('#map-canvas').gmap('addMarker', {'position': '40.413933,-3.681214',  'icon': HELICONtot, 'bounds': false}).click(function() {$('#map-canvas').gmap('openInfoWindow', {'content':'<a href="http://www.omarfiz.com.es/GPZ/Taxodium_distichum.html"><IMG height="30px" width="30px" BORDER="0" ALIGN="left" SRC="img/altavoz.png">Cipr&#233;s de los Pantanos</a>'},  this);
                                                                                                                                });
                 
                 $('#map-canvas').gmap('addMarker', {'position': '40.417474,-3.68086',  'icon': HELICONtot, 'bounds': false}).click(function() {$('#map-canvas').gmap('openInfoWindow', {'content': '<a href="http://www.omarfiz.com.es/GPZ/Cedrus_libani_f.html"><IMG height="30px" width="30px" BORDER="0" ALIGN="left" SRC="img/altavoz.png">Cedro del L&#237;bano</a>'}, this);
                                                                                                                               });
                 
                 $('#map-canvas').gmap('addMarker', {'position': '40.413904,-3.678478',  'icon': HELICONtot, 'bounds': false}).click(function() {$('#map-canvas').gmap('openInfoWindow', {'content': '<a href="http://www.omarfiz.com.es/GPZ/Acer_sacharinum_d.html"><IMG height="30px" width="30px" BORDER="0" ALIGN="left" SRC="img/altavoz.png">Arce plateado</a>'}, this);
                                                                                                                                });
                 
                 $('#map-canvas').gmap('addMarker', {'position': '40.412054,-3.681841',  'icon': HELICONtot, 'bounds': false}).click(function() {$('#map-canvas').gmap('openInfoWindow', {'content': '<a href="http://www.omarfiz.com.es/GPZ/Trachycarpus_fortuney_b.html"><IMG height="30px" width="30px" BORDER="0" ALIGN="left" SRC="img/altavoz.png">Palmera de la fortuna</a>'}, this);
                                                                                                                                });
                 
                 $('#map-canvas').gmap('addMarker', {'position': '40.410969, -3.680859',  'icon': HELICONtot, 'bounds': false}).click(function() {$('#map-canvas').gmap('openInfoWindow', {'content': '<a href="http://www.omarfiz.com.es/GPZ/Pinus_halepensis.html"><IMG height="30px" width="30px" BORDER="0" ALIGN="left" SRC="img/altavoz.png">Pino carrasco</a>'}, this);
                                                                                                                                });
                 
                 $('#map-canvas').gmap('addMarker', {'position': '40.418916,-3.68219',  'icon': HELICONtot, 'bounds': false}).click(function() {$('#map-canvas').gmap('openInfoWindow', {'content': '<a href="http://www.omarfiz.com.es/GPZ/Eucalyptus_globulus_c.html"><IMG height="30px" width="30px" BORDER="0" ALIGN="left" SRC="img/altavoz.png">Eucalipto blanco</a>'}, this);
                                                                                                                               });
                 
                 }
                 }
                     });
